Subject: [CCAMP] Question on draft-ietf-ccamp-rwa-info-14

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Tue, 13 Mar 2012 21:29:37 +0100

Hi, 

Quoting [I-D.ietf-ccamp-rwa-info] section 5, "As discussed in [RFC6163] a WSON node may contain electro-optical
   subsystems such as regenerators, wavelength converters or entire switching subsystems."

The whole section concentrate on OEO, but according to RFC 6163 O-E  should also be supported
It would be more clear to have a section describing the OE case or how does it map to the proposed extensions.
Can the model described in Figure 1 and Figure 2 be used to described OE setup?
For instance on the following node model (adapted from RFC5339) in figure a the Electro-optical conversion is done by EOA and EOB.
In order to focus on Electro-optical case in this particular example EOA and EOB  have different capabilities and cannot be used for 3R (different OTU rate).  

It seems that this is supported, but here they cannot be used for wavelength conversion, yet you can define input and output wavelength range, so I am confused.
Could you clarify the modeling in this case? Should this be modeled as one resource block for each EO or 2 resource block for the EO?

Another point is that the processing capability indicate which kind of regeneration can be done, but I think the termination should also be considered explicitly or using processing rules, this would ease the path calculation. I would prefer an explicit indication.

Can you clarify those topics?.

                             Network element
                        .............................
                        :            --------       :
              TDM       :           |  TDM   |      :
            Port1-------------<->---|#a      |      :
            Port2-------------<->---|#b      |      :
            Port3-------------<->---|#c      |      :
            Port4-------------<->---|#d      |      :
                        :  +--<->---|#e      |      :
                        :  | +<->---|#f      |      :	
                        :  | E       --------       :
                        :  E O                      :
                        :  O B      ---------       :
                        :  A +<->--|#g        |     :         
              DWDM      :  +--<->--|#h  DWDM  |     :
            Port5 ------------<->--|#i        |     :
            Port6 ------------<->--|#j        |     :
                        :           ----------      :
                        :............................
 
                           Figure a.  Hybrid node.

Mit freundlichen Grüßen / Best Regards
Cyril Margaria

Nokia Siemens Networks GmbH & Co. KG
NWS DWDM RD
St.Martin-Str. 76
D-81541 München
Germany
mailto:[email-masked]
Phone: +49-89-5159-16934
Fax:   +49-89-5159-44-16934
----------------------------------------------------------------
Nokia Siemens Networks GmbH & Co. KG 
Sitz der Gesellschaft: München / Registered office: Munich 
Registergericht: München / Commercial registry: Munich, HRA 88537 
WEEE-Reg.-Nr.: DE 52984304 
Persönlich haftende Gesellschafterin / General Partner: Nokia Siemens Networks Management GmbH 
Geschäftsleitung / Board of Directors: Dr. Hermann Rodler, Lydia Sommer, Olaf Horsthemke 
Vorsitzender des Aufsichtsrats / Chairman of supervisory board: Herbert Merz 
Sitz der Gesellschaft: München / Registered office: Munich 
Registergericht: München / Commercial registry: Munich, HRB 163416

---

From: Greg Bernstein <[email-masked]>
Date: Mon, 19 Mar 2012 15:55:40 -0700

Hi Cyril, it looks like you are trying to use the WSON info model beyond 
its scope. RFC5339 is for ML/MR networks. Your example contains a TDM 
switch with optical interfaces in a chassis connected to some type of 
OXC or ROADM. The WSON info model does not address general MLN/MRN 
modeling, only common cases in the WSON world. This example most like 
could be more easily modeled via two nodes with two different switching 
types interconnected via optical interfaces.
See detailed comments below.
Greg B.
> It would be more clear to have a section describing the OE case or how does it map to the proposed extensions.
O-E? OE? RFC 6163 has a general section on Electro-Optical Systems, but doesn't discuss separate O-E or OE systems.
3.5. Electro-Optical Systems:
    This section describes how Electro-Optical Systems (e.g., OEO
    switches, wavelength converters, and regenerators) interact with the
    WSON signal characteristics listed in Section 3.3.2.  OEO switches,
    wavelength converters, and regenerators all share a similar property:
    they can be more or less "transparent" to an "optical signal"
    depending on their functionality and/or implementation.

> Can the model described in Figure 1 and Figure 2 be used to described OE setup?
The model can handle OEO switches (examples are given), but this is more than an OEO switch..

> For instance on the following node model (adapted from RFC5339) in figure a the Electro-optical conversion is done by EOA and EOB.
This looks like a TDM switch with optical interface in a chassis connected to a ROADM or line system. This most likely would be modeled via MLN/MRN techniques (hence why its in RFC5339).
Modeling internal components such as an Electrical-Optical transciever is beyond our scope.

> In order to focus on Electro-optical case in this particular example EOA and EOB  have different capabilities and cannot be used for 3R (different OTU rate).
Sounds like the regenerator case that we cover in detail.

> It seems that this is supported, but here they cannot be used for wavelength conversion, yet you can define input and output wavelength range, so I am confused.
Huh? A regenerator becomes a wavelength converter if the lasers are tunable. This is the most common type of wavelength converter.

> Could you clarify the modeling in this case? Should this be modeled as one resource block for each EO or 2 resource block for the EO?
Individual EO and OE are out of scope. If you are looking at these as regenerators then since their connectivity looks to be fixed between the two ports they would each be modeled as a separate resource block.
  But once again OE and EO are are internal components that are out of scope.

> Another point is that the processing capability indicate which kind of regeneration can be done, but I think the termination should also be considered explicitly or using processing rules, this wou…
Termination at which layer? The characteristics of the interfaces on the TDM switch tell you about termination. That is why this is an MRN/MLN example and is beyond what you should be trying to model
with a single WSON node. Model it as two nodes.

> Nokia Siemens Networks GmbH&  Co. KG
> NWS DWDM RD
> St.Martin-Str. 76
> D-81541 München
> Germany
> Nokia Siemens Networks GmbH&  Co. KG
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>
>

-- 
===================================================
Dr Greg Bernstein, Grotto Networking (510) 573-2237

---

From: Leeyoung <[email-masked]>
Date: Mon, 19 Mar 2012 23:52:56 +0000

Hi Cyril,

This question has been recurring many times in the past. WSON has a clear scope of treating OEO/REG. element as an inseparable entity. Your examples are intriguing problem and I believe those might deserve a separate problem statement in an MLN or hybrid switch context if the current MLN does not sufficiently covers these examples.

Thanks.
Young

From: [email-masked] [mailto:[email-masked]] On Behalf Of Greg Bernstein
Sent: Monday, March 19, 2012 5:56 PM
To: [email-masked]
Subject: Re: [CCAMP] Question on draft-ietf-ccamp-rwa-info-14

Hi Cyril, it looks like you are trying to use the WSON info model beyond its scope. RFC5339 is for ML/MR networks. Your example contains a TDM switch with optical interfaces in a chassis connected to some type of OXC or ROADM. The WSON info model does not address general MLN/MRN modeling, only common cases in the WSON world. This example most like could be more easily modeled via two nodes with two different switching types interconnected via optical interfaces.
See detailed comments below.
Greg B.
On 3/13/2012 1:29 PM, Margaria, Cyril (NSN - DE/Munich) wrote:

Hi,

                             Network element

                        :            --------       :

              TDM       :           |  TDM   |      :

                        :  +--<->---|#e      |      :

                        :  | +<->---|#f      |      :

                        :  | E       --------       :

                        :  E O                      :

                        :  O B      ---------       :

                        :  A +<->--|#g        |     :

                        :           ----------      :

                           Figure a.  Hybrid node.

Cyril Margaria

NWS DWDM RD

St.Martin-Str. 76

D-81541 München

Germany

Phone: +49-89-5159-16934

CCAMP mailing list

[email-masked]<mailto:[email-masked]>

--

---

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Tue, 27 Mar 2012 09:59:11 +0200

Hi, 

My confusion seems to comes from the wording in RFC6163 and the -info document, its stating : 

In section 5:

" As discussed in [RFC6163] a WSON node may contain electro-optical

   subsystems such as regenerators, wavelength converters or entire

   switching subsystems."

>From your answer I understand that an switching subsystem is not fully supported. I think that it is an important aspect of WSON to also consider the signal compatibility at the Endpoints of the WSON LSP. 

In any case it would be more clear to state that OE only is not supported. 

Please also see inline.

Best regards / Mit freundlichen Grüßen

Cyril Margaria

From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Greg Bernstein
Sent: Monday, March 19, 2012 11:56 PM
To: [email-masked]
Subject: Re: [CCAMP] Question on draft-ietf-ccamp-rwa-info-14

Hi, 

	This is an electrical switching subsystem, so here I am confused here by the scope of OEO switch.

	How can a PCE calculate the signal compatibility between the two transceiver in case of RFC5339 or using several node.
	The OEO model used in the document is modeling internal components, the information needed to model the transceiver reuse a lot, if not all, of the regenerator case, so it seems the gap is small. If it is wanted to avoid to address the transceiver information (except in the 3R case), and another model and encoding are needed for the Electro-optical case, I fear that there can be 2 way to model the same think.

          Here my point is that it is a different OTU rate, so it is a different electrical rate.

	Here my point is that it is not a regenerator.

	 

	Terminating the WSON trail to the TDM. 

	                             Network element
	 
	                           Figure a.  Hybrid node.

---

From: Leeyoung <[email-masked]>
Date: Tue, 27 Mar 2012 11:17:06 +0000

Hi Cyril,

OE itself is not supported in the WSON scope. OEO is the minimum unit the current WSON concerns as Greg has pointed out in the previous email:

The problem you have brought up could be a valid issue --- hybrid TDM/DWDM signal compatibility. I believe it should be addressed in the context of MLN/Hybrid Switching model in my opinion.

Young

From: [email-masked] [mailto:[email-masked]] On Behalf Of Margaria, Cyril (NSN - DE/Munich)
Sent: Tuesday, March 27, 2012 2:59 AM
To: ext Greg Bernstein; [email-masked]
Subject: Re: [CCAMP] Question on draft-ietf-ccamp-rwa-info-14

Hi,

In section 5:

Please also see inline.

Hi,

                             Network element

                        :            --------       :

              TDM       :           |  TDM   |      :

                        :  +--<->---|#e      |      :

                        :  | +<->---|#f      |      :

                        :  | E       --------       :

                        :  E O                      :

                        :  O B      ---------       :

                        :  A +<->--|#g        |     :

                        :           ----------      :

                           Figure a.  Hybrid node.

Cyril Margaria

NWS DWDM RD

St.Martin-Str. 76

D-81541 München

Germany

Phone: +49-89-5159-16934

CCAMP mailing list

--